JGraph X 1.3.0.0

## com.mxgraph.model
Class mxGraphModel.mxChildChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxChildChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxChildChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected boolean` `added`
`protected java.lang.Object` `child`
`protected int` `index`
`protected java.lang.Object` `parent`
`protected java.lang.Object` `previous`
`protected int` `previousIndex`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxChildChange(mxGraphModel model, java.lang.Object parent, java.lang.Object child)`
`mxGraphModel.mxChildChange(mxGraphModel model, java.lang.Object parent, java.lang.Object child, int index)`

Method Summary
`protected void` `connect(java.lang.Object cell, boolean isConnect)`
`void` `execute()` Changes the root of the model.
`java.lang.Object` `getChild()`
`protected int` `getChildIndex(java.lang.Object parent, java.lang.Object child)` Returns the index of the given child inside the given parent.
`int` `getIndex()`
`java.lang.Object` `getParent()`
`java.lang.Object` `getPrevious()`
`int` `getPreviousIndex()`
`protected java.lang.Object` `getTerminal(java.lang.Object edge, boolean source)` Gets the source or target terminal field for the given edge even if the edge is not stored as an incoming or outgoing edge in the respective terminal.
`boolean` `isAdded()`
`protected void` `setTerminal(java.lang.Object edge, java.lang.Object terminal, boolean source)` Sets the source or target terminal field for the given edge without inserting an incoming or outgoing edge in the respective terminal.

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected java.lang.Object parent

### previous

    protected java.lang.Object previous

### child

    protected java.lang.Object child

### index

    protected int index

### previousIndex

    protected int previousIndex

### added

    protected boolean added

Constructor Detail

### mxGraphModel.mxChildChange

    public mxGraphModel.mxChildChange(mxGraphModel model,
                                      java.lang.Object parent,
                                      java.lang.Object child)

### mxGraphModel.mxChildChange

    public mxGraphModel.mxChildChange(mxGraphModel model,
                                      java.lang.Object parent,
                                      java.lang.Object child,
                                      int index)

Method Detail

### getParent

    public java.lang.Object getParent()

  Returns:
    the parent

### getPrevious

    public java.lang.Object getPrevious()

  Returns:
    the previous

### getChild

    public java.lang.Object getChild()

  Returns:
    the child

### getIndex

    public int getIndex()

  Returns:
    the index

### getPreviousIndex

    public int getPreviousIndex()

  Returns:
    the previousIndex

### isAdded

    public boolean isAdded()

  Returns:
    the isAdded

### getTerminal

    protected java.lang.Object getTerminal(java.lang.Object edge,
                                           boolean source)

  Gets the source or target terminal field for the given edge even if the edge is not stored as an incoming or outgoing edge in the respective terminal.

### setTerminal

    protected void setTerminal(java.lang.Object edge,
                               java.lang.Object terminal,
                               boolean source)

  Sets the source or target terminal field for the given edge without inserting an incoming or outgoing edge in the respective terminal.

### connect

    protected void connect(java.lang.Object cell,
                           boolean isConnect)

### getChildIndex

    protected int getChildIndex(java.lang.Object parent,
                                java.lang.Object child)

  Returns the index of the given child inside the given parent.

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.